<?php
function notifierErreur2($codeErreur,$msgErreur){
	$partie= explode(':',$msgErreur);
	$retour='';
	switch($codeErreur)
	{
		case 1040 : // Too many connections
		return 'Trop de connections simultanées. Merci de revenir dans quelques minutes ou de recharger la page</strong></p>';
		break;
		case 1044 : // Access denied for user: 'login' to database 'nombase'
		return 'La base de données "'.$partie[3].'" n\'a pas été trouvée.</strong></p>';
		break;
		case 1045 : // Access denied for user: 'login' (Using password: YES)
		return 'L\'utilisateur désigné "'.$partie[1].'" n\'a pas &eacute;t&eacute; trouv&eacute;.</strong></p>';
		break;
		case 1048:
		$retour='La colonne '.$partie[1].' ne peut être nulle.';
		break;
		case 23000:
		$res= explode('\'', $partie[2]);
		$retour='La donnée '.$res[1].' ne peut être double dans la base de donnée.';
		break;
		case 1049 : // Unknown database 'mabase'
		return 'Base '.$partie[1].' inconnue.</p>';
		break;
		case 1046 : // No Database Selected
		return 'Aucune base de données n\'à été sélectionnée.</p>';
		break;         
		case 1052 : // Column: 'champ' in where clause is ambiguous
		return 'La clause WHERE est ambiguë pour la colonne '.$partie[1].'.</strong></p>';
		break;         
		case 1053 : // Server shutdown in progress
		return 'Le serveur SQL à été arrêté. Essayez de recharger la page ou revenez dans quelques minutes.</strong></p>';
		break;
		case 1064 : // You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near 'requete'
		return 'Une erreur de syntaxe SQL se trouve dans la requête "'.$partie[1].'".</strong></p>';         
		break;
		case 1065 : // Query was empty
		return 'Aucune requête SQL n\'a été trouvé;e.</strong></p>';         
		break;
		case 1109 : // Unknown table 'nom_table' in where clause
		case 1146 :
		return 'La table "'.$partie[1].'" n\'a pas été trouvée dans la clause WHERE.</strong></p>';         
		break;         
		case 2002 : // Can't connect to local MySQL server through socket 'chemnin d'accès' (2)
		return 'Échec lors de la connection au serveur SQL.</strong></p>';
		break;
		case 2005 : // Unknown MySQL Server Host 'serveur' (2)
		return 'Le serveur SQL "'.$partie[1].'" n\'a pas été trouvé.</strong></p>';
		break;
		case 2013 : // Lost connection to MySQL server during query
		return 'La connection au serveur SQL à été perdue lors de la requête. Essayez de recharger la page pour résoudre le problème.</strong></p>';
		break;
		default:
			$retour=$codeErreur;
			break;
	}
	return ('Erreur dans le traitement de votre requête : '.$retour);
}

//fonction retounant le jour en français
function getJour($day) {
	$jour["Monday"] = "Lundi";
	$jour["Tuesday"] = "Mardi";
	$jour["Wednesday"] = "Mercredi";
	$jour["Thursday"] = "Jeudi";
	$jour["Friday"] = "Vendredi";
	$jour["Saturday"] = "Samedi";
	$jour["Sunday"] = "Dimanche";
	return $jour[$day];
}
?>
